Index: c/src/exec/librpc/src/xdr/xdr_float.c
===================================================================
--- c/src/exec/librpc/src/xdr/xdr_float.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/exec/librpc/src/xdr/xdr_float.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -56,5 +56,5 @@
 
 #if defined(__alpha__) || \
-    defined(__arm32__) || \
+    defined(__arm__) || \
     defined(__H8300__) || defined(__H8300H__) || defined(__H8300S__) || \
     defined(__hppa__) || \
Index: c/src/lib/libbsp/arm/arm_bare_bsp/clock/.cvsignore
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/clock/.cvsignore	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/clock/.cvsignore	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/clock/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -0,0 +1,32 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = $(ARCH)/clock.rel
+
+C_FILES = clockdrv.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(PGM): $(OBJS)
+	$(make-rel)
+
+# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
+
+all-local: $(ARCH) $(OBJS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = ckinit.c
+
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/arm/arm_bare_bsp/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/clock/clockdrv.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/clock/clockdrv.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -0,0 +1,22 @@
+/*
+ *  Instantiate the clock driver shell.
+ *
+ *  Since there is no clock source on the simulator, all we do is
+ *  make sure it will build.
+ *
+ *  $Id$
+ */
+
+#define CLOCK_VECTOR 0
+
+#define Clock_driver_support_at_tick()
+
+#define Clock_driver_support_install_isr( _new, _old ) \
+  do { _old = 0; } while(0)
+
+
+#define Clock_driver_support_initialize_hardware()
+
+#define Clock_driver_support_shutdown_hardware()
+
+#include "../../../shared/clockdrv_shell.c"
Index: c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/console/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -9,8 +9,8 @@
 PGM = $(ARCH)/console.rel
 
-C_FILES = uart.c console.c printk.c
+C_FILES = uart.c console.c
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = uart.h bspio.h
+H_FILES = uart.h
 
 console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
Index: c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/irq/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -33,5 +33,5 @@
 #
 
-$(PGM): $(startup_rel_OBJECTS)
+$(PGM): $(irq_rel_OBJECTS)
 	$(make-rel)
 
Index: c/src/lib/libbsp/arm/arm_bare_bsp/irq/irq.c
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/irq/irq.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/irq/irq.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -40,4 +40,5 @@
 {
     rtems_irq_hdl *HdlTable;
+    rtems_interrupt_level level;
     
     if (!isValidInterrupt(irq->name)) {
@@ -73,4 +74,5 @@
 {
     rtems_irq_hdl *HdlTable;
+    rtems_interrupt_level level;
   
     if (!isValidInterrupt(irq->name)) {
Index: c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/start/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -1,9 +1,9 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGMS = $(ARCH)/start.o
+PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -11,6 +11,4 @@
 
 OBJS = $(S_O_FILES)
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -21,11 +19,12 @@
 #
 
-LINKCMDS = $(top_srcdir)/startup/linkcmds
-
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
 	$(INSTALL_DATA) $< $@
 
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(PGM)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/arm/arm_bare_bsp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/startup/bspstart.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/startup/bspstart.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -119,6 +119,4 @@
    rtemsFreeMemStart += BSP_Configuration.work_space_size;
 
-  console_reserve_resources(&BSP_Configuration);
-
   /*
    * Init rtems exceptions management
Index: c/src/lib/libbsp/arm/arm_bare_bsp/startup/exit.c
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/startup/exit.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/startup/exit.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -17,5 +17,5 @@
 #include <stdio.h>
 #include <bsp.h>
-#include <bspio.h>
+#include <bspIo.h>
 #include <rtems/libio.h>
 
Index: c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/wrapup/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-BSP_PIECES = console startup irq
+BSP_PIECES = clock console startup irq
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
Index: c/src/lib/libbsp/arm/shared/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/shared/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/shared/Makefile.am	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-SUBDIRS = comm io irq
+SUBDIRS = comm irq
 
 include $(top_srcdir)/../../../../../automake/subdirs.am
Index: c/src/lib/libbsp/arm/shared/comm/console.c
===================================================================
--- c/src/lib/libbsp/arm/shared/comm/console.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/shared/comm/console.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -22,5 +22,5 @@
 
 #include <bsp.h>
-#include <bspio.h>
+#include <bspIo.h>
 #include <irq.h>
 #include <rtems/libio.h>
Index: src/lib/libbsp/arm/shared/io/.cvsignore
===================================================================
--- c/src/lib/libbsp/arm/shared/io/.cvsignore	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/arm/shared/io/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/shared/io/Makefile.am	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## 
-## $Id$
-## 
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-H_FILES = bspio.h
-
-C_FILES = printk.c
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h)
-
-all: $(PREINSTALL_FILES)
-
-EXTRA_DIST = bspio.h printk.c
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/arm/shared/io/bspio.h
===================================================================
--- c/src/lib/libbsp/arm/shared/io/bspio.h	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/* bspIo.h
- *
- *  This include file contains declaration of interface that
- *  will be provided by the file contained in this directory.
- *
- *
- *  COPYRIGHT (c) 2000 Canon Research France SA.
- *  Emmanuel Raguet, mailto:raguet@crf.canon.fr
- *
- *  The license and distribution terms for this file may be
- *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-#ifndef _LIBBSP_ARM_SHARED_IO_BSP_IO_H
-#define _LIBBSP_ARM_SHARED_IO_BSP_IO_H
-
-/*
- * All the functions declared as extern after this comment
- * MUST be implemented in each BSP. Using this function,
- * this directory contains shared code that export higher level
- * functionnality described after the next command.
- */
-typedef void 	(*BSP_output_char_function_type) 	(char c);
-typedef char 	(*BSP_polling_getchar_function_type) 	(void);
-
-extern 	BSP_output_char_function_type 		BSP_output_char;
-extern 	BSP_polling_getchar_function_type 	BSP_poll_char;
-/*
- * All the function declared as extern after this comment
- * are available for each ix86 BSP by compiling and linking
- * the files contained in this directory PROVIDED definition
- * and initialisation of the previous variable are done.
- */
-void printk(char *fmt, ...);
-
-#endif
Index: src/lib/libbsp/arm/shared/io/printk.c
===================================================================
--- c/src/lib/libbsp/arm/shared/io/printk.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ 	(revision )
@@ -1,113 +1,0 @@
-/*-------------------------------------------------------------------------+
-| printk.c - ARM BSP 
-+--------------------------------------------------------------------------+
-|
-|   COPYRIGHT (c) 2000 Canon Research France SA.
-|   Emmanuel Raguet, mailto:raguet@crf.canon.fr
-| 
-|   The license and distribution terms for this file may be
-|   found in found in the file LICENSE in this distribution or at
-|   http://www.OARcorp.com/rtems/license.html.
-|
-|  $Id$
-+--------------------------------------------------------------------------*/
-
-
-#include <stdarg.h>
-#include <stdio.h>
-#include <bspio.h>
-
-/*-------------------------------------------------------------------------+
-|         Function: printNum
-|      Description: print number in a given base.
-| Global Variables: None.
-|        Arguments: num - number to print, base - base used to print the number.
-|          Returns: Nothing. 
-+--------------------------------------------------------------------------*/
-static void
-printNum(long unsigned int num, int base, int sign)
-{
-  long unsigned int n;
-  int count;
-  char toPrint[20];
-
-  if ( (sign == 1) && ((long)num <  0) ) {
-    BSP_output_char('-');
-    num = -num;
-  }
-  
-  count = 0;
-  while ((n = num / base) > 0) {
-    toPrint[count++] = (num - (n*base));
-    num = n ;
-  }
-  toPrint[count++] = num;
-
-  for (n = 0; n < count; n++){
-    BSP_output_char("0123456789ABCDEF"[(int)(toPrint[count-(n+1)])]);
-  }
-} /* printNum */
-
-
-/*-------------------------------------------------------------------------+
-|         Function: printk
-|      Description: a simplified version of printf intended for use when the
-                    console is not yet initialized or in ISR's.
-| Global Variables: None.
-|        Arguments: as in printf: fmt - format string, ... - unnamed arguments.
-|          Returns: Nothing. 
-+--------------------------------------------------------------------------*/
-void
-printk(char *fmt, ...)
-{
-  va_list  ap;      /* points to each unnamed argument in turn */
-  char     c, *str;
-  int      lflag, base, sign;
-
-  _CPU_ISR_Disable(level);
- 
-  va_start(ap, fmt); /* make ap point to 1st unnamed arg */
-  for (; *fmt != '\0'; fmt++)
-  {
-    lflag = 0;
-    base  = 0;
-    sign = 0;
-    if (*fmt == '%')
-    {
-      if ((c = *++fmt) == 'l')
-      {
-        lflag = 1;
-        c = *++fmt;
-      }
-      switch (c)
-      {
-        case 'o': case 'O': base = 8; sign = 0; break;
-        case 'd': case 'D': base = 10; sign = 1; break;
-        case 'u': case 'U': base = 10; sign = 0; break;
-        case 'x': case 'X': base = 16; sign = 0; break;
-        case 's':
-          for (str = va_arg(ap, char *); *str; str++) 
-            BSP_output_char(*str);
-          break;
-        case 'c':
-          BSP_output_char(va_arg(ap, char));
-          break;
-        default:
-          BSP_output_char(c);
-          break;
-      } /* switch*/
-
-      if (base)
-        printNum(lflag ? va_arg(ap, long int) : (long int)va_arg(ap, int),
-                 base, sign);
-    }
-    else
-    {
-      BSP_output_char(*fmt);
-    }
-  }
-  va_end(ap); /* clean up when done */
-  _CPU_ISR_Enable(level);
-
-} /* printk */
-
Index: c/src/lib/libbsp/arm/shared/irq/irq_init.c
===================================================================
--- c/src/lib/libbsp/arm/shared/irq/irq_init.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/lib/libbsp/arm/shared/irq/irq_init.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -16,5 +16,5 @@
 #include <irq.h>
 #include <bsp.h>
-#include <bspio.h>
+#include <bspIo.h>
 #include <registers.h>
 
@@ -33,4 +33,5 @@
     int 			i;
     long			*vectorTable;
+    rtems_interrupt_level       level;
     
     vectorTable = VECTOR_TABLE;
Index: c/src/librpc/src/xdr/xdr_float.c
===================================================================
--- c/src/librpc/src/xdr/xdr_float.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ c/src/librpc/src/xdr/xdr_float.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -56,5 +56,5 @@
 
 #if defined(__alpha__) || \
-    defined(__arm32__) || \
+    defined(__arm__) || \
     defined(__H8300__) || defined(__H8300H__) || defined(__H8300S__) || \
     defined(__hppa__) || \
Index: cpukit/librpc/src/xdr/xdr_float.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_float.c	(revision 08330bf0be8fed443402ffd1664b2ca4d16b6f8e)
+++ cpukit/librpc/src/xdr/xdr_float.c	(revision 2d354ea6a562761a1417bed71dfe8e722ef16409)
@@ -56,5 +56,5 @@
 
 #if defined(__alpha__) || \
-    defined(__arm32__) || \
+    defined(__arm__) || \
     defined(__H8300__) || defined(__H8300H__) || defined(__H8300S__) || \
     defined(__hppa__) || \
